Bug 215153 - sysutils/apcupsd [PATCH]: Update default options to enable SNMP driver by default
Summary: sysutils/apcupsd [PATCH]: Update default options to enable SNMP driver by def...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-12-08 12:59 UTC by Simon Wright
Modified: 2017-03-07 10:24 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (itetcu)


Attachments
Patch to update the default options to include SNMP driver (590 bytes, patch)
2016-12-08 12:59 UTC, Simon Wright
no flags Details | Diff
Patch to update the default options to include SNMP driver (760 bytes, patch)
2016-12-08 13:17 UTC, Simon Wright
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Wright 2016-12-08 12:59:18 UTC
Created attachment 177798 [details]
Patch to update the default options to include SNMP driver

The port currently does not by default enable the SNMP drivers; this makes the standard package unuseable across a network - which is the way I use it! For my own servers I build with Poudriere and the SNMP option set however for one DMZ box which uses *only* standard packages, this does not work.

I would like to suggest that the default build options for the port be changed to enable the SNMP drivers.

I realise that this may mean additional dependencies so I will completely understand if you don't want to enable this. However if no-one has any objections it would make my life easier :).

Thanks and regards,

Simon.
Comment 1 Simon Wright 2016-12-08 13:17:42 UTC
Created attachment 177800 [details]
Patch to update the default options to include SNMP driver

Updated patch to include PORTREVISION
Comment 2 Simon Wright 2017-01-02 04:10:59 UTC
Mail sent to maintainer.
Comment 3 Rene Ladan freebsd_committer 2017-02-27 20:51:20 UTC
Maintainer reset.
Comment 4 commit-hook freebsd_committer 2017-03-07 10:21:10 UTC
A commit references this bug:

Author: danfe
Date: Tue Mar  7 10:21:01 UTC 2017
New revision: 435590
URL: https://svnweb.freebsd.org/changeset/ports/435590

Log:
  - Enable SNMP driver by default due to popular demand [1]
  - Rename option USB -> USB_DRV for consistency with other drivers and
    provide better option names while I'm here
  - Remove hand-rolled `post-install' target now that @sample files are
    installed properly
  - Reorder some knobs and drop CPPFLAGS/LIBS now that those seem to
    be detected correctly

  PR:	215153 [1]

Changes:
  head/sysutils/apcupsd/Makefile
  head/sysutils/apcupsd/files/patch-platforms_etc_Makefile
  head/sysutils/apcupsd/files/patch-src_cgi_Makefile
Comment 5 Alexey Dokuchaev freebsd_committer 2017-03-07 10:24:06 UTC
Thanks for the suggestion, it makes perfect sense (and there seem to be no additional dependencies involved).  I've committed ports r435590 along with some other changes (cleanups, really).